Subject: [bmwg] Next step towards benchmarking BFD

From: "Jay Karthik \(jakarthi\)" <[email-masked]>
Date: Wed, 20 Jun 2007 15:55:39 -0400

Hi Folks,
 
Most of the comments received thus far on this topic could be summarized
as follows. (All of these could be addressed in the benchmarking IDs).
 
- Adaptive Timers Benchmarking needs to be done.
- Declare Multi Hop for the next phase and leave it out.
- Do Bench marking with/without authentication and HW assistance.
- Bench mark false detection and detection times.
 
The questions on which consensus needs to be developed are,
 
-What Client protocols need to be used in this benchmarking?
-How to isolate BFD benchmarking from Client problems/influence and
scale limits?
-How to take advantage of synergy that exists between bfd and other
three work-items that are evolving; namely, IGP Convergence Data Plane
Benchmarking, Accelerated Stress Benchmarking, Sub-IP Protection
Mechanisms.
 
We believe,
 
- While BFD works for multiple clients, it is designed to be independent
of clients using it. Hence, there is a need to benchmark the capability
of BFD as a protocol by itself and to this extent, we suggest that it
can be done with a sample client (something really simple) that does not
have much scaling restrictions.
 
- While BFD references and scenarios can be added to the three work-item
drafts mentioned above; BFD should have a BFD specific draft that
address all aspects of the BFD benchmarking.
 
Looking forward to hear from you folks on afore mentioned aspects of the
bfd benchmarking so that we can move this to next logical stage
 
thx, Jay/Esa
 
_______________________________________________
bmwg mailing list
[email-masked]
https://www1.ietf.org/mailman/listinfo/bmwg